@charset "utf-8";
/* CSS Document */

html {
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

/* unvisited link */
a:link {
  color: rgb(255, 255, 255);
}

/* visited link */
a:visited {
  color: rgb(255, 255, 255); 
}

/* mouse over link */
a:hover {
  color: rgb(206, 155, 212); 
}

/* selected link */
a:active {
  color: mediumslateblue;
}

.music
{
  	float: left;
}

.navbar-right{
  float: right;
  background-color: rgba(0, 0, 0, 0);
  font-weight: lighter;
  font-family: myFirstFont;
    src: url(zh-cn.ttf);
  font-size: 18px;
}


.main-navi 
{
 	list-style-type: none;
  	margin: 0;
  	overflow: hidden;
    
}

.main-navi li
 {
	 display: block;
     padding: 10px;
     font-family: myFirstFont;
     src: url(zh-cn.ttf);
     font-weight: lighter;
  	 font-size: 18px;
     letter-spacing: 8px;
  	 float: right;
  	 margin: 9px;
}

.navbar-expand-lg .navbar-nav .nav-link {
  padding-left: 30px;
  text-align: right;

}



.logo{
    height: 205.19px;
    float: left;
}



.headtitle{
	height: 250px;
	padding-top: 120px;
    padding-right: 0px;
    margin-bottom: 40px;
    padding-left: 70px;
  
}


.headsubtitle{
	font-size: 19px;
    font-family: 'Mulish', sans-serif;
    text-align: left;
    height: 200x;
    width: 45%;
    padding-left: 75px;
    padding-top: 60px;
	line-height: 1.4em;
	
}

@font-face {
    font-family: myFirstFont;
    src: url(zh-cn.ttf);
  }

.downloadbutton{
    margin-left: 70px;
    margin-top: 0px;
    height: 50px;

}

.header
{
	background-repeat: no-repeat;
    background-attachment:fixed;
    background-position: center;
    background-size: cover;
	background-image: url("genshinbmain.jpg");
  padding-top: 40px;
  padding-left: 100px;
  padding-right: 100px;
	height: 100%;
}




body 
{
  background-color:rgba(230,89,95); 
  font-family: 'Mulish', sans-serif;
	color: aliceblue;
	line-height: 1.7em;
	font-size: 1em;
	margin: 0;
	padding: 0;
}

#container

{
	margin: auto;
	padding: 0px;
	min-height: 200px;
	font-size: 1.2em;
	width: 100%;
}



#content 
{
	background: BD4F63;
	display: flex;
	color: aliceblue;
	font-family: 'Mulish', sans-serif;
	margin: 0;
	padding: 0;
}

.allsections{
  background-color: 470C1C; 
  background-image: linear-gradient(rgba(71,12,28), rgba(68,47,108), rgba(230,89,95));
}


.section1
{	
	padding-left: 10px;
	display: inline-block;
	margin: 0px 0px;
	height: 100%;
}


.column {
  border-radius: 5em;
  float: left;
  width: 33.33%;
  padding: 10px;
}

.row{
  margin: 0px 0px 80px 0px;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

.text1
{
	padding-top: 50px;
	text-align: justify;
	margin: 70px 100px 100px 100px;
}

.teyvat
{color: white;
font-family: myFirstFont;
src: url(zh-cn.ttf);
font-weight: lighter;
font-size: 3em;
}

.section2
{
	padding: 20px 175px;
  padding-bottom: 100px;
	height: 100%;
}


.text2
{
  height: 178px;
	padding-top: 0px;
	text-align: left;
	margin: 70px 0px 60px 0px;
}

.news{
  color: white;
    font-family: myFirstFont;
    src: url(zh-cn.ttf);
    font-weight: lighter;
    font-size: 3em;

}

.newspic{
  background-repeat: no-repeat;
  display:inline-block;
  vertical-align: middle;
  float: none;
  width: 300px;
  height: 450px;
  padding: 25px;
  padding-top: 140px;
  border-radius: 10px;
  background-blend-mode: multiply;
  text-align: left
 
}

h2{
  font-family: myFirstFont;
  src: url(zh-cn.ttf);
  font-weight: lighter;
  font-size: 22px;
}


.newspic.p{
  font-family: 'Mulish', sans-serif;
}

.newspicrow:after {
  display: table;
  clear: both;
}

.section3
{
	padding: 20px 175px;
  padding-bottom: 70px;
	height: 120%;
	
}


.text3
{
	padding-top: 50px;
	text-align: justify;
	margin: 70px 0px 70px 0px;
}

.section4
{	
	padding: 20px 155px;
  padding-bottom: 40px;
  width: 100%;
	height:330px;
}


.text4
{
  font-size: 0.7em;
	text-align: right;
  width: 500px;
  float:left
}

.col-md-2{
  width: 500px;
}

.mihoyo{
  width: 470px
}

.Copyright{
  float: left;
  width: 50%;
  padding: 10px;
  height: 300px;
  margin-left: 150px;
  text-align: right;
}

.warning{
  border: 2px solid black;
}

.socialicon{
  margin-right: 30px;
}


.button
{
   border-radius: 1em;
   background-color: rgba(172, 46, 46, 0.685);
   mix-blend-mode: screen;
   border-color: rgba(255, 255, 255, 0);
   color: white;
   text-align: center;
   font-size: 0.9em;
   font-family: myFirstFont;
    src: url(zh-cn.ttf);
   font-weight: lighter;
   letter-spacing: 1.5px;
   padding: 10px;
   margin-left: 300;
   width: 250px;
   transition: all 0.2s;
   cursor: pointer;
   margin: 5px;
}

.button span 
{
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

.button span:after {
  content: '\203A';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -10px;
  transition: 0.5s;
}

.button:hover  {
  padding-right: 25px;
}

.button:hover span:after {
  opacity: 1;
  right: -15;
}


.button1 {
	background-color:transparent;
	border-radius:42px;
	border:2px solid #ffffff;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family: myFirstFont;
    src: url(zh-cn.ttf);
   font-weight: lighter;
	font-size:18px;
  letter-spacing: 3px;
	padding:10px 40px;
	text-decoration:none;
	text-shadow:0px 1px 0px #ffffff;
}
.button1:hover {
	background-color: rgba(238, 133, 201, 0.301);
}
.button1:active {
  background-color: white;
  color: #ffffff00;
	position:relative;
	top:1px;
}

ul{
  display: table;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}      

.footer{
  padding-bottom: 30px;
}

.footer li
{
	display: inline;
	margin: 60px 60px;
	padding-top: 50px;
  font-family: myFirstFont;
  src: url(zh-cn.ttf);
  font-weight: lighter;
  font-size: 15px;
	
}
